using Aitex.Common.Util;

namespace Aitex.Core.RT.DataCollection.HighPerformance
{
	public class DefaultDataTraceCallback : IDataTraceCallback
	{
		private string _db = "postgres";

		public DefaultDataTraceCallback()
		{
		}

		public DefaultDataTraceCallback(string db)
		{
			_db = db;
		}

		public void PostDBFailedEvent()
		{
		}

		public string GetSqlUpdateFile()
		{
			return PathManager.GetCfgDir() + "SqlUpdate.sql";
		}

		public string GetDataTablePrefix()
		{
			return "Data";
		}

		public string GetDBName()
		{
			return _db;
		}
	}
}
